> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List payment links



## OpenAPI

````yaml /openapi.json get /payment-links
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /payment-links:
    get:
      tags:
        - payments
      summary: List payment links
      operationId: PaymentLifecycle.Web.PaymentLinkController.list
      parameters:
        - description: ''
          in: query
          name: fixed
          required: false
          schema:
            type: boolean
        - description: ''
          in: query
          name: archived
          required: false
          schema:
            type: boolean
        - description: ''
          in: query
          name: after
          required: false
          schema:
            type: string
        - description: ''
          in: query
          name: before
          required: false
          schema:
            type: string
        - description: ''
          in: query
          name: limit
          required: false
          schema:
            type: integer
        - description: ''
          in: query
          name: currency
          required: false
          schema:
            enum:
              - NGN
              - USD
              - CAD
              - EUR
              - AUD
              - CNY
              - GBP
              - GHS
              - KES
            type: string
        - description: ''
          in: query
          name: id
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentLinkListResponse'
          description: Payment links
      callbacks: {}
components:
  schemas:
    PaymentLinkListResponse:
      type: object

````